#!/bin/sh

# this script has been tailored for my machine. Your needs may vary.

make -ef Makefile-2.6
if [ $? -ne 0 ]; then
    exit $?
fi
if [ `grep -c hardsid /proc/modules` -ne 0 ]; then
    sudo rmmod hardsid
fi
sudo cp -av cmk4.fw /lib/firmware
sudo cp -av hardsid.ko /lib/modules/`uname -r`/kernel
sudo insmod ./hardsid.ko
sudo depmod -a

if [ -e /usr/local/bin/fix-sid.sh ]; then
    fix-sid.sh
fi
